
QGIS Application - Bug report #5196

QGIS crashes on style > categorized

2012-03-17 02:48 PM - bradypus -

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:1.7.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: upstream

Crashes QGIS or corrupts data:Yes Copied to github as #: 14936

Description

I'm having this problem with QGIS 1.7.4 on MacOS 1.6.8. The bug was not present on 1.7.3 build.

Having a vector layer if I try to build a categorized symbology the program regularly crashes as soon as I click "Classify".

I've tried with different projects and different vectors. Same result.

I'm attaching the debug/report text.

Related issues:

Related to QGIS Application - Bug report # 4899: Features with null attribute... Closed 2012-01-26

Related to QGIS Application - Bug report # 5956: Crash when retrieving only n... Closed 2012-07-05

History

#1 - 2012-04-23 09:26 AM - bradypus -

Update:

The column I was trying to categorize had NULL values. I added some random text and it worked.

It's still working after adding new vectors having null values on the column.

#2 - 2012-05-30 03:45 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Subject changed from QGIS craches on style > categorized to QGIS crashes on style > categorized

a quite similar issue has been closed as fixed, can you give a try with qgis-master and report back? cheers.

#3 - 2012-07-09 08:33 AM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Feedback to Closed

Giovanni Manghi wrote:

a quite similar issue has been closed as fixed, can you give a try with qgis-master and report back? cheers.

probably a problem with GDAL 1.9.0 - closing for the lack of feedback anyway.

#4 - 2012-07-09 08:34 AM - Jürgen Fischer
- Resolution changed from worksforme to upstream

Files

debug.txt 60.8 KB 2012-03-17 bradypus -
